$(() => {
const source = new DevExpress.data.DataSource({
load() {
return $.getJSON('../../../../data/monthWeather.json');
},
loadMode: 'raw',
filter: ['t', '>', '2'],
paginate: false,
});
const palette = ['#c3a2cc', '#b7b5e0', '#e48cba'];
let paletteIndex = 0;
$('#chart').dxChart({
dataSource: source,
title: 'Temperature in Seattle: October 2017',
size: {
height: 420,
},
series: {
argumentField: 'day',
valueField: 't',
type: 'bar',
},
customizePoint() {
const color = palette[paletteIndex];
paletteIndex = paletteIndex === 2 ? 0 : paletteIndex + 1;
return {
color,
};
},
legend: {
visible: false,
},
export: {
enabled: true,
},
valueAxis: {
label: {
customizeText() {
return `${this.valueText}°C`;
},
},
},
loadingIndicator: {
enabled: true,
},
});
$('#choose-temperature').dxSelectBox({
dataSource: [2, 4, 6, 8, 9, 10, 11],
value: 2,
onValueChanged(data) {
source.filter(['t', '>', data.value]);
source.load();
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.1.3/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart-demo">
<div id="chart"></div>
<div class="action">
<div class="label">Choose a temperature threshold, °C: </div>
<div id="choose-temperature"></div>
</div>
</div>
</div>
</body>
</html>
.action {
width: 330px;
margin-top: 20px;
display: flex;
align-items: center;
justify-content: space-between;
}
.action .dx-selectbox {
width: 90px;
}
[
{ "day": "1", "t": 11 },
{ "day": "2", "t": 7 },
{ "day": "3", "t": 6 },
{ "day": "4", "t": 8 },
{ "day": "5", "t": 7 },
{ "day": "6", "t": 7 },
{ "day": "7", "t": 11 },
{ "day": "8", "t": 9 },
{ "day": "9", "t": 5 },
{ "day": "10", "t": 8 },
{ "day": "11", "t": 6 },
{ "day": "12", "t": 9 },
{ "day": "13", "t": 8 },
{ "day": "14", "t": 6 },
{ "day": "15", "t": 6 },
{ "day": "16", "t": 6 },
{ "day": "17", "t": 10 },
{ "day": "18", "t": 9 },
{ "day": "19", "t": 12 },
{ "day": "20", "t": 9 },
{ "day": "21", "t": 8 },
{ "day": "22", "t": 13 },
{ "day": "23", "t": 9 },
{ "day": "24", "t": 7 },
{ "day": "25", "t": 6 },
{ "day": "26", "t": 11 },
{ "day": "27", "t": 8 },
{ "day": "28", "t": 7 },
{ "day": "29", "t": 9 },
{ "day": "30", "t": 7 },
{ "day": "31", "t": 3 }
]

<template>
<div id="chart-demo">
<DxChart
:data-source="monthWeather"
:customize-point="customizePoint"
title="Temperature in Seattle: October 2017"
>
<DxSize :height="420"/>
<DxValueAxis>
<DxLabel
:customize-text="customizeLabelText"
:visible="true"
/>
</DxValueAxis>
<DxSeries
argument-field="day"
value-field="t"
type="bar"
/>
<DxLegend :visible="false"/>
<DxExport :enabled="true"/>
<DxLoadingIndicator :enabled="true"/>
</DxChart>
<div class="action">
<div class="label">Choose a temperature threshold, °C:
</div>
<DxSelectBox
id="choose-temperature"
:data-source="temperature"
:value="2"
:on-value-changed="changeTemperature"
/>
</div>
</div>
</template>
<script>
import DxChart, {
DxValueAxis,
DxLabel,
DxLegend,
DxExport,
DxSeries,
DxSize,
DxLoadingIndicator,
} from 'devextreme-vue/chart';
import DxSelectBox from 'devextreme-vue/select-box';
import DataSource from 'devextreme/data/data_source';
import CustomStore from 'devextreme/data/custom_store';
const palette = ['#c3a2cc', '#b7b5e0', '#e48cba'];
export default {
components: {
DxChart,
DxValueAxis,
DxLabel,
DxLegend,
DxExport,
DxLoadingIndicator,
DxSeries,
DxSize,
DxSelectBox,
},
data() {
const paletteIndex = 0;
const monthWeather = new DataSource({
store: new CustomStore({
load: () => fetch('../../../../data/monthWeather.json')
.then((e) => e.json())
.catch(() => { throw new Error('Data Loading Error'); }),
loadMode: 'raw',
}),
filter: ['t', '>', '2'],
paginate: false,
});
return {
temperature: [2, 4, 6, 8, 9, 10, 11],
monthWeather,
paletteIndex,
};
},
methods: {
changeTemperature({ value }) {
this.monthWeather.filter(['t', '>', value]);
this.monthWeather.load();
},
customizeLabelText({ valueText }) {
return `${valueText}${'°C'}`;
},
customizePoint() {
const color = palette[this.paletteIndex];
this.paletteIndex = this.paletteIndex === 2 ? 0 : this.paletteIndex + 1;
return { color };
},
},
};
</script>
<style>
.action {
width: 330px;
margin-top: 20px;
display: flex;
align-items: center;
justify-content: space-between;
}
.action .dx-selectbox {
width: 90px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme-vue': 'npm:devextreme-vue@21.2.7',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
[
{ "day": "1", "t": 11 },
{ "day": "2", "t": 7 },
{ "day": "3", "t": 6 },
{ "day": "4", "t": 8 },
{ "day": "5", "t": 7 },
{ "day": "6", "t": 7 },
{ "day": "7", "t": 11 },
{ "day": "8", "t": 9 },
{ "day": "9", "t": 5 },
{ "day": "10", "t": 8 },
{ "day": "11", "t": 6 },
{ "day": "12", "t": 9 },
{ "day": "13", "t": 8 },
{ "day": "14", "t": 6 },
{ "day": "15", "t": 6 },
{ "day": "16", "t": 6 },
{ "day": "17", "t": 10 },
{ "day": "18", "t": 9 },
{ "day": "19", "t": 12 },
{ "day": "20", "t": 9 },
{ "day": "21", "t": 8 },
{ "day": "22", "t": 13 },
{ "day": "23", "t": 9 },
{ "day": "24", "t": 7 },
{ "day": "25", "t": 6 },
{ "day": "26", "t": 11 },
{ "day": "27", "t": 8 },
{ "day": "28", "t": 7 },
{ "day": "29", "t": 9 },
{ "day": "30", "t": 7 },
{ "day": "31", "t": 3 }
]

import React from 'react';
import DataSource from 'devextreme/data/data_source';
import CustomStore from 'devextreme/data/custom_store';
import Chart, {
ValueAxis,
Label,
Legend,
Series,
Size,
Export,
LoadingIndicator,
} from 'devextreme-react/chart';
import SelectBox from 'devextreme-react/select-box';
class App extends React.Component {
constructor(props) {
super(props);
this.temperature = [2, 4, 6, 8, 9, 10, 11];
this.palette = ['#c3a2cc', '#b7b5e0', '#e48cba'];
this.paletteIndex = 0;
this.monthWeather = new DataSource({
store: new CustomStore({
load: () => fetch('../../../../data/monthWeather.json')
.then((e) => e.json())
.catch(() => { throw new Error('Data Loading Error'); }),
loadMode: 'raw',
}),
filter: ['t', '>', '2'],
paginate: false,
});
this.customizePoint = () => {
const color = this.palette[this.paletteIndex];
this.paletteIndex = this.paletteIndex === 2 ? 0 : this.paletteIndex + 1;
return { color };
};
this.changeTemperature = (e) => {
this.monthWeather.filter(['t', '>', e.value]);
this.monthWeather.load();
};
}
customizeLabel(e) {
return `${e.valueText}${'°C'}`;
}
render() {
return (
<div id="chart-demo">
<Chart
title="Temperature in Seattle: October 2017"
dataSource={this.monthWeather}
customizePoint={this.customizePoint}>
<Size height={420} />
<ValueAxis>
<Label customizeText={this.customizeLabel} />
</ValueAxis>
<Series
argumentField="day"
valueField="t"
type="bar"
/>
<Legend visible={false} />
<Export enabled={true} />
<LoadingIndicator enabled={true} />
</Chart>
<div className="action">
<div className="label">Choose a temperature threshold, °C:
</div>
<SelectBox
id="choose-temperature"
dataSource={this.temperature}
defaultValue={2}
onValueChanged={this.changeTemperature} />
</div>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.action {
width: 330px;
margin-top: 20px;
display: flex;
align-items: center;
justify-content: space-between;
}
.action .dx-selectbox {
width: 90px;
}
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
[
{ "day": "1", "t": 11 },
{ "day": "2", "t": 7 },
{ "day": "3", "t": 6 },
{ "day": "4", "t": 8 },
{ "day": "5", "t": 7 },
{ "day": "6", "t": 7 },
{ "day": "7", "t": 11 },
{ "day": "8", "t": 9 },
{ "day": "9", "t": 5 },
{ "day": "10", "t": 8 },
{ "day": "11", "t": 6 },
{ "day": "12", "t": 9 },
{ "day": "13", "t": 8 },
{ "day": "14", "t": 6 },
{ "day": "15", "t": 6 },
{ "day": "16", "t": 6 },
{ "day": "17", "t": 10 },
{ "day": "18", "t": 9 },
{ "day": "19", "t": 12 },
{ "day": "20", "t": 9 },
{ "day": "21", "t": 8 },
{ "day": "22", "t": 13 },
{ "day": "23", "t": 9 },
{ "day": "24", "t": 7 },
{ "day": "25", "t": 6 },
{ "day": "26", "t": 11 },
{ "day": "27", "t": 8 },
{ "day": "28", "t": 7 },
{ "day": "29", "t": 9 },
{ "day": "30", "t": 7 },
{ "day": "31", "t": 3 }
]

<div id="chart-demo">
<dx-chart [dataSource]="monthWeather" [customizePoint]="customizePoint">
<dxo-title text="Temperature in Seattle: October 2017"></dxo-title>
<dxo-size [height]="420"></dxo-size>
<dxi-series argumentField="day" valueField="t" type="bar"></dxi-series>
<dxo-legend [visible]="false"></dxo-legend>
<dxo-export [enabled]="true"></dxo-export>
<dxi-value-axis>
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxi-value-axis>
<dxo-loading-indicator [enabled]="true"></dxo-loading-indicator>
</dx-chart>
<div class="action">
<div class="label">Choose a temperature threshold, °C: </div>
<dx-select-box
id="choose-temperature"
[dataSource]="temperature"
[value]="2"
(onValueChanged)="onValueChanged($event)"
></dx-select-box>
</div>
</div>
import {
NgModule, Component, AfterViewInit, enableProdMode,
} from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { lastValueFrom } from 'rxjs';
import { DxChartModule, DxSelectBoxModule } from 'devextreme-angular';
import DataSource from 'devextreme/data/data_source';
import CustomStore from 'devextreme/data/custom_store';
import query from 'devextreme/data/query';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent implements AfterViewInit {
temperature: number[] = [2, 4, 6, 8, 9, 10, 11];
palette: string[] = ['#c3a2cc', '#b7b5e0', '#e48cba'];
paletteIndex = 0;
monthWeather: any = {};
constructor(private http: HttpClient) {}
ngAfterViewInit() {
this.monthWeather = new DataSource({
store: new CustomStore({
load: () => lastValueFrom(this.http.get('../../../../data/monthWeather.json'))
.catch((error) => { throw 'Data Loading Error'; }),
loadMode: 'raw',
}),
filter: ['t', '>', '2'],
paginate: false,
});
}
customizePoint = () => {
const color = this.palette[this.paletteIndex];
this.paletteIndex = this.paletteIndex === 2 ? 0 : this.paletteIndex + 1;
return {
color,
};
};
customizeText(arg) {
return `${arg.valueText}°C`;
}
onValueChanged(data) {
this.monthWeather.filter(['t', '>', data.value]);
this.monthWeather.load();
}
}
@NgModule({
imports: [
BrowserModule,
HttpClientModule,
DxChartModule,
DxSelectBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .action {
width: 330px;
margin-top: 20px;
display: flex;
align-items: center;
justify-content: space-between;
}
::ng-deep .action .dx-selectbox {
width: 90px;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.6/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43',
'devextreme-angular': 'npm:devextreme-angular@22.2.6',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.6/*/package.json',
'npm:devextreme-angular@22.2.6/ui/*/package.json',
'npm:devextreme-angular@22.2.6/package.json',
'npm:devexpress-diagram@2.1.72/package.json',
'npm:devexpress-gantt@4.1.43/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.13.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
[
{ "day": "1", "t": 11 },
{ "day": "2", "t": 7 },
{ "day": "3", "t": 6 },
{ "day": "4", "t": 8 },
{ "day": "5", "t": 7 },
{ "day": "6", "t": 7 },
{ "day": "7", "t": 11 },
{ "day": "8", "t": 9 },
{ "day": "9", "t": 5 },
{ "day": "10", "t": 8 },
{ "day": "11", "t": 6 },
{ "day": "12", "t": 9 },
{ "day": "13", "t": 8 },
{ "day": "14", "t": 6 },
{ "day": "15", "t": 6 },
{ "day": "16", "t": 6 },
{ "day": "17", "t": 10 },
{ "day": "18", "t": 9 },
{ "day": "19", "t": 12 },
{ "day": "20", "t": 9 },
{ "day": "21", "t": 8 },
{ "day": "22", "t": 13 },
{ "day": "23", "t": 9 },
{ "day": "24", "t": 7 },
{ "day": "25", "t": 6 },
{ "day": "26", "t": 11 },
{ "day": "27", "t": 8 },
{ "day": "28", "t": 7 },
{ "day": "29", "t": 9 },
{ "day": "30", "t": 7 },
{ "day": "31", "t": 3 }
]